#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hackage-security
version: 0.5.2.2
id: hackage-security-0.5.2.2-DGhcS93k8AW50aWD4VcMbD
key: hackage-security-0.5.2.2-DGhcS93k8AW50aWD4VcMbD
license: BSD3
copyright: Copyright 2015-2016 Well-Typed LLP
maintainer: edsko@well-typed.com
homepage: https://github.com/well-typed/hackage-security
synopsis: Hackage security library
description:
    The hackage security library provides both server and
    client utilities for securing the Hackage package server
    (<http://hackage.haskell.org/>).  It is based on The Update
    Framework (<http://theupdateframework.com/>), a set of
    recommendations developed by security researchers at
    various universities in the US as well as developers on the
    Tor project (<https://www.torproject.org/>).
    .
    The current implementation supports only index signing,
    thereby enabling untrusted mirrors. It does not yet provide
    facilities for author package signing.
    .
    The library has two main entry points:
    "Hackage.Security.Client" is the main entry point for
    clients (the typical example being @cabal@), and
    "Hackage.Security.Server" is the main entry point for
    servers (the typical example being @hackage-server@).
category: Distribution
author: Edsko de Vries
exposed: True
indefinite: False
exposed-modules:
    Hackage.Security.Client Hackage.Security.Client.Formats
    Hackage.Security.Client.Repository
    Hackage.Security.Client.Repository.Cache
    Hackage.Security.Client.Repository.HttpLib
    Hackage.Security.Client.Repository.Local
    Hackage.Security.Client.Repository.Remote
    Hackage.Security.Client.Verify Hackage.Security.JSON
    Hackage.Security.Key.Env Hackage.Security.Server
    Hackage.Security.TUF.FileMap Hackage.Security.Trusted
    Hackage.Security.Util.Checked Hackage.Security.Util.IO
    Hackage.Security.Util.Lens Hackage.Security.Util.Path
    Hackage.Security.Util.Pretty Hackage.Security.Util.Some
    Text.JSON.Canonical
hidden-modules: Hackage.Security.Key Hackage.Security.Trusted.TCB
                Hackage.Security.TUF Hackage.Security.TUF.Common
                Hackage.Security.TUF.FileInfo Hackage.Security.TUF.Header
                Hackage.Security.TUF.Layout.Cache Hackage.Security.TUF.Layout.Index
                Hackage.Security.TUF.Layout.Repo Hackage.Security.TUF.Mirrors
                Hackage.Security.TUF.Paths Hackage.Security.TUF.Patterns
                Hackage.Security.TUF.Root Hackage.Security.TUF.Signed
                Hackage.Security.TUF.Snapshot Hackage.Security.TUF.Targets
                Hackage.Security.TUF.Timestamp Hackage.Security.Util.Base64
                Hackage.Security.Util.JSON Hackage.Security.Util.Stack
                Hackage.Security.Util.TypedEmbedded Prelude
abi: 85a09753e70adf740311114319b2986a
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/hackage-security-0.5.2.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/hackage-security-0.5.2.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/hackage-security-0.5.2.2
hs-libraries: HShackage-security-0.5.2.2-DGhcS93k8AW50aWD4VcMbD
depends:
    base-4.10.0.0 base16-bytestring-0.1.1.6-1RelFaTH3mXDxpXrCeJSko
    base64-bytestring-1.0.0.1-D9uFxOosRHvGwKtuClA6fm
    bytestring-0.10.8.2 Cabal-2.0.0.2 containers-0.5.10.2
    directory-1.3.0.2 ed25519-0.0.5.0-9NT4KzgzBhXCnbKiU3eJSo
    filepath-1.4.1.2 mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    parsec-3.1.11-5WCVqUZr6ypLPXtYWYsMnh pretty-1.1.3.3
    cryptohash-sha256-0.11.100.1-7zhEa02dR4aEFqZ0S7VT8y
    tar-0.5.0.3-INtpRXtFzzEKq72z4RSP9M time-1.8.0.2
    transformers-0.5.2.0 zlib-0.6.1.2-6xNZGE39eOa1IjQdEzckzB
    template-haskell-2.12.0.0 ghc-prim-0.5.1.0
    network-uri-2.6.1.0-4GXMsZ4PWr49y3TK4YgSYK
    network-2.6.3.2-8o5F7G3DMrLGgmHkPzZYJx
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             base16-bytestring-0.1.1.6-1RelFaTH3mXDxpXrCeJSko=b289e975ce7bd8a34701a798ad869335
             base64-bytestring-1.0.0.1-D9uFxOosRHvGwKtuClA6fm=b470a7d524cce39b639ac0b1fe2cc085
             bytestring-0.10.8.2=db54a9a10f4b3abcd860c80f928b2ae9
             Cabal-2.0.0.2=a2520fd25489686ee7e9d64a6ce11828
             containers-0.5.10.2=e51b78cedb073051e10b1c1314421145
             directory-1.3.0.2=cfeb01f7201df723a8082d0da3163aee
             ed25519-0.0.5.0-9NT4KzgzBhXCnbKiU3eJSo=2bbd842e6c623e948c639d0c90b8f0ad
             filepath-1.4.1.2=2a8b7688454d81e83f77ef81b74e0636
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=14e57a3b735adfe06c357bcc64de3dbd
             parsec-3.1.11-5WCVqUZr6ypLPXtYWYsMnh=da03630454c215de5f3965e7b0f0e5da
             pretty-1.1.3.3=315e275f7256c4b9cea549968b2fd167
             cryptohash-sha256-0.11.100.1-7zhEa02dR4aEFqZ0S7VT8y=55c32fe16759b810b64fc1153fe5f053
             tar-0.5.0.3-INtpRXtFzzEKq72z4RSP9M=8e406c0774fd4cbc65b7b5ac4ea9d53b
             time-1.8.0.2=96b65c0ad01f633ba36ea5ef13a79f41
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
             zlib-0.6.1.2-6xNZGE39eOa1IjQdEzckzB=c1d55c3251ed960ccd96b402a1d90259
             template-haskell-2.12.0.0=84fec1eab31df12231c00a687a39fdc3
             ghc-prim-0.5.1.0=557c7fce76ef13c2417583cc28848f14
             network-uri-2.6.1.0-4GXMsZ4PWr49y3TK4YgSYK=dcf3b42c1c39d8e42cbbbf74ea3e6c8c
             network-2.6.3.2-8o5F7G3DMrLGgmHkPzZYJx=dc3f2353580d7555dd3bad96e9f5af9d
haddock-interfaces: /usr/share/doc/haskell-hackage-security/html/hackage-security.haddock
haddock-html: /usr/share/doc/haskell-hackage-security/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

